import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./same-height-controller.stories";

<Meta of={ComponentStories} name="Docs" />

# Same Height

The `SameHeightController` component ensures that elements within a container have the same height. This can be useful for creating consistent layouts where varying content lengths might otherwise cause misalignment.

## Usage

The `SameHeightController` component does not accept any properties directly but contains elements that need to be adjusted for height.

## Example

```html
<ux-iws-same-height>
    <div class="row ux-u-margin-top-60">
        <div class="gr-6">
            <div class="example-common-element" data-same-height="item">
                <div class="ux-text-headline ux-text-headline--big">
                    Example headline
                </div>
                <p data-same-height="text">Example text</p>
            </div>
        </div>
    </div>
</ux-iws-same-height>
```

## Developer Documentation

<Controls />
